package com.xugame.bean;

public class InputDescriptorBean {
    // 玩家的输入端口
    private int port;

    // 设备 类型：None, JoyPad, Keyboard ...
    private int device;

    // 索引，Analog 设备的选择
    private int index;

    // 映射的按键 ID
    private int id;

    // 按键的用法描述
    private String description;

    public InputDescriptorBean(int port, int device, int index, int id, String description) {
        this.port = port;
        this.device = device;
        this.index = index;
        this.id = id;
        this.description = description;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public int getDevice() {
        return device;
    }

    public void setDevice(int device) {
        this.device = device;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
